#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 brick
version:              0.65
visibility:           public
id:                   brick-0.65-EoRuI0j4nlD3rSKXOcQPtW
key:                  brick-0.65-EoRuI0j4nlD3rSKXOcQPtW
license:              BSD-3-Clause
copyright:            (c) Jonathan Daugherty 2015-2020
maintainer:           Jonathan Daugherty <cygnus@foobox.com>
author:               Jonathan Daugherty <cygnus@foobox.com>
homepage:             https://github.com/jtdaugherty/brick/
synopsis:             A declarative terminal user interface library
description:
    Write terminal user interfaces (TUIs) painlessly with '\''brick'\''! You
    write an event handler and a drawing function and the library does the
    rest.


    > module Main where
    >
    > import Brick
    >
    > ui :: Widget ()
    > ui = str "Hello, world!"
    >
    > main :: IO ()
    > main = simpleMain ui


    To get started, see:

    * <https://github.com/jtdaugherty/brick/blob/master/README.md The README>

    * The <https://github.com/jtdaugherty/brick/blob/master/docs/guide.rst Brick user guide>

    * The demonstration programs in the '\''programs'\'' directory


    This package deprecates <http://hackage.haskell.org/package/vty-ui vty-ui>.

category:             Graphics
abi:                  9b6dc0e0816d8cd87eb0e079fc44165a
exposed:              True
exposed-modules:
    Brick Brick.AttrMap Brick.BChan Brick.BorderMap Brick.Focus
    Brick.Forms Brick.Main Brick.Markup Brick.Themes Brick.Types
    Brick.Util Brick.Widgets.Border Brick.Widgets.Border.Style
    Brick.Widgets.Center Brick.Widgets.Core Brick.Widgets.Dialog
    Brick.Widgets.Edit Brick.Widgets.FileBrowser Brick.Widgets.List
    Brick.Widgets.ProgressBar Brick.Widgets.Table Data.IMap
    Data.Text.Markup

hidden-modules:
    Brick.Types.Common Brick.Types.TH Brick.Types.Internal
    Brick.Widgets.Internal

import-dirs:          /usr/lib/ghc-9.0.2/site-local/brick-0.65
library-dirs:         /usr/lib/ghc-9.0.2/site-local/brick-0.65
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/brick-0.65
hs-libraries:         HSbrick-0.65-EoRuI0j4nlD3rSKXOcQPtW
depends:
    base-4.15.1.0 bytestring-0.10.12.1
    config-ini-0.2.4.0-HS0QPBT4LLzH0Az0tTlbRy containers-0.6.4.1
    contravariant-1.5.5-FtJyCLyWfutGN2UWoJs8qd
    data-clist-0.1.2.3-69S7LTg5wEaBsReDN1bp0w deepseq-1.4.5.0
    directory-1.3.6.2 dlist-1.0-F00OxiD1dC249OyRKVGlo2
    exceptions-0.10.4 filepath-1.4.2.1
    microlens-0.4.12.0-1fJvmROd5lxEQCLdQ6LGgk
    microlens-mtl-0.2.0.1-HodO5uxSvp36cAcqpOnyRX
    microlens-th-0.4.3.10-CAAiPodk0tn9fh7vbCRi5r stm-2.5.0.0
    template-haskell-2.17.0.0 text-1.2.5.0
    text-zipper-0.11-CPW0uS1MMCoFEVCPgghWZp transformers-0.5.6.2
    unix-2.7.2.2 vector-0.12.3.1-LmWX58b6mp7Hut6wPuFfXF
    vty-5.34-4iCg1QeC7o3BmkDGsBerio
    word-wrap-0.5-Id1JdLZXVW92P6JyWXUVR0

haddock-interfaces:   /usr/share/doc/haskell-brick/html/brick.haddock
haddock-html:         /usr/share/doc/haskell-brick/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

